@use "../../assets/styles/abstracts" as *;
// .nav_link {
//   font-size: 1.7rem;
//   border-radius: 0.5rem;
//   padding: 0.5rem 1.5rem;
//   color: $light-color;
// }

.nav_link:hover {
  color: #fff;
  background: $green;
}
.right_icons {
  display: flex;
  gap: 8px;
}
.icons_res {
  border-radius: 50%;
}
.icons_res:hover {
  background-color: $green;
}
.icon_i {
  color: $blue-f;
  font-size: 1.7rem;
}
.icon_i:hover {
  color: white;
}

.items {
  width: 500px;
  height: 60px !important;
  display: flex !important;
  align-items: center !important;
  border-bottom: 1px solid $green !important;
  border-radius: 0 0 10px 10px !important;
  margin-bottom: 5px !important;
  h1 {
  }
}
.items:hover {
  background-color: $green !important;
}
.navbar {
  align-items: center;
  justify-content: center;
  a {
    font-size: 1.7rem;
    border-radius: 0.5rem;
    padding: 0.5rem 1.5rem;
    color: $light-color;
    font-weight: 600;
  }
}

.navbar a.active,
.navbar a:hover {
  color: #fff;
  background: $green;
}

#search-form {
  position: fixed;
  top: -110%;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 1004;
  background: rgba(0, 0, 0, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1rem;
}

#search-form.active {
  top: 0;
}

#search-form #search-box {
  width: 50rem;
  border-bottom: 0.1rem solid #fff;
  padding: 1rem 0;
  color: #fff;
  font-size: 3rem;
  text-transform: none;
  background: none;
}

#search-form #search-box::placeholder {
  color: #eee;
}

#search-form #search-box::-webkit-search-cancel-button {
  -webkit-appearance: none;
}

#search-form label {
  color: #fff;
  cursor: pointer;
  font-size: 3rem;
}

#search-form label:hover {
  color: var(--green);
}

#search-form #close {
  position: absolute;
  color: #fff;
  cursor: pointer;
  top: 2rem;
  right: 3rem;
  font-size: 5rem;
}
